#include <cstdio>
#include <string>

#include "em_lpf/parse.h"
#include "em_lpf/utils.h"

int main(int argc, char **argv) {
  if (argc != 3 && argc != 4) {
    fprintf(stderr, "usage: %s <mem> <infile> [<outfile>]\n\n"
                    "Compute LZ77 parsing of <infile> using <mem> MiB of RAM\n"
                    "and writes the parsing to <outfile> (if given).\n"
                    "NOTE: <infile>.sa5 and <infile>.lcp5 must be present.\n",
                    argv[0]);
    std::exit(EXIT_FAILURE);
  }
  
  // Locate the STXXL configuration file.
  utils::find_stxxl_config();

  std::string in_filename = argv[2];
  std::string out_filename = "";

  if (argc == 4)
    out_filename = argv[3];
  
  long ram_use = atoi(argv[1]) * (1L << 20);
  parse_file(in_filename, ram_use, out_filename);
}

